org.apache.lucene.util

## Class PagedBytes.PagedBytesDataInput

- java.lang.Object
- - org.apache.lucene.store.DataInput
  - - org.apache.lucene.util.PagedBytes.PagedBytesDataInput

- All Implemented Interfaces:
    Cloneable
  Enclosing class:
    PagedBytes

      public final class PagedBytes.PagedBytesDataInput
      extends DataInput

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PagedBytes.PagedBytesDataInput` | `clone()` Returns a clone of this stream.
    `long` | `getPosition()` Returns the current byte position.
    `byte` | `readByte()` Reads and returns a single byte.
    `void` | `readBytes(byte[] b, int offset, int len)` Reads a specified number of bytes into an array at the specified offset.
    `void` | `setPosition(long pos)` Seek to a position previously obtained from `getPosition()`.

    - ### Methods inherited from class org.apache.lucene.store.DataInput

      `readBytes, readInt, readLong, readMapOfStrings, readSetOfStrings, readShort, readString, readStringSet, readStringStringMap, readVInt, readVLong, readZInt, readZLong, skipBytes`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### clone

          public PagedBytes.PagedBytesDataInput clone()

      Description copied from class: `DataInput`
      Returns a clone of this stream.

      Clones of a stream access the same data, and are positioned at the same point as the stream they were cloned from.

      Expert: Subclasses must ensure that clones may be positioned at different points in the input from each other and from the stream they were cloned from.

      Overrides:
        `clone` in class `DataInput`

    - #### getPosition

          public long getPosition()

      Returns the current byte position.

    - #### setPosition

          public void setPosition(long pos)

      Seek to a position previously obtained from `getPosition()`.

    - #### readByte

          public byte readByte()

      Description copied from class: `DataInput`
      Reads and returns a single byte.
      Specified by:
        `readByte` in class `DataInput`
      See Also:
        `DataOutput.writeByte(byte)`

    - #### readBytes

          public void readBytes(byte[] b,
                                int offset,
                                int len)

      Description copied from class: `DataInput`
      Reads a specified number of bytes into an array at the specified offset.
      Specified by:
        `readBytes` in class `DataInput`
      Parameters:
        `b` - the array to read bytes into
        `offset` - the offset in the array to start storing bytes
        `len` - the number of bytes to read
      See Also:
        `DataOutput.writeBytes(byte[],int)`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.